RANDOMIZE TIMER
CLEAR ALL
BACKGROUND RGB(32,32,32)
c1=RGB(255,255,255)
c2=RGB(255,255,0)
s=1234  ' 500
r=99    ' 60
DO
    BITMAP 1 TEXTURE "cellmachine",EXPORT$(s,r)
    SPRITE 1 BIND BITMAP 1 SHOW SCALE 2,2
    CLS
    PRINT
    INK c1:PRINT "(1) Seed          : ";:INK c2:PRINT s
    INK c1:PRINT "(2) Rule          : ";:INK c2:PRINT r
    INK c1:PRINT "(R) Random"
    INK c1:PRINT "(Q) Quit"
    GETKEY a$
    SELECT CASE a$
        CASE "1"
            INK c2
            LOCATE 21,2:PRINT SPACE$(10)
            LOCATE 21,2:LINE INPUT d$
            s=VAL(d$)
        CASE "2"
            INK c2
            LOCATE 21,3:PRINT SPACE$(10)
            LOCATE 21,3:LINE INPUT d$
            r=VAL(d$)
        CASE "r"
            s=RANGE(0,1000)
            r=RANGE(0,255)
        CASE "q"
            EXIT DO
    END SELECT
LOOP
END
